SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0003813: dashboard graphs are not displayed on IE9 - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003813Endian FirewallGUIpublic2011-05-25 12:412011-07-28 14:06
Reporterlogdog 
Assigned Tomax-endian 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.4.1 
Target VersionFixed in Version 
Summary0003813: dashboard graphs are not displayed on IE9
DescriptionSome javascript errors are returned
TagsNo tags attached.
Attached Filesjpg file icon endian.jpg [^] (110,770 bytes) 2011-05-25 12:41


png file icon Dashboard IE9.png [^] (191,597 bytes) 2011-05-28 14:46


? file icon jquery.flot.js [^] (89,760 bytes) 2011-05-29 17:16

- Relationships
has duplicate 0004010closedsimon-endian The graph of the traffic monitor is not displayed. 

-  Notes
(0006525)
baldy (reporter)
2011-05-28 14:45
edited on: 2011-05-29 17:17

Hi logdog,

Issue is related to jquery.flot.js located in /home/httpd/html/include.

The check ($.browser.msie) is not enough as the display issues in IE6,7,8 are fixed in IE9 due to better implementation of the web standards and the fix for IE6,7,8 itself does not work in IE9.

Therefore an additional check is needed to determine the version and only use the IE fix when the version is lower than 9.

This is done by (( parseInt($.browser.version, 10) ) < 9)) where $.browser.version returns the browser version and parseInt rounds the number and is then checked if it is lower than 9.
If both are true the statement is true and the fix is applied for ie6,7,8.

When IE9 is used the statement is false and the fix is skipped.



If you want it to work, change the following lines or copy the attached jquery.flot.js

Around line 534 change

        function constructCanvas() {
            function makeCanvas(width, height) {
                var c = document.createElement('canvas');
                c.width = width;
                c.height = height;
                if ($.browser.msie) // excanvas hack
                    c = window.G_vmlCanvasManager.initElement(c);
                return c;
            }

to :

        function constructCanvas() {
            function makeCanvas(width, height) {
                var c = document.createElement('canvas');
                c.width = width;
                c.height = height;
                if (($.browser.msie) && (( parseInt($.browser.version, 10) ) < 9)) // excanvas hack
                    c = window.G_vmlCanvasManager.initElement(c);
                return c;
            }

And around line 553 change


            if ($.browser.msie) // excanvas hack
                window.G_vmlCanvasManager.init_(document); //

to

            if (($.browser.msie) && (( parseInt($.browser.version, 10) ) < 9)) // excanvas hack
                window.G_vmlCanvasManager.init_(document); //

Regards,

Klaas-Jan

(0006530)
logdog (reporter)
2011-05-29 19:28

Thank you, changing work perfectly!
(0006552)
lorenzo-endian (manager)
2011-06-01 16:08

Hi logdog,

you are right, with IE9 the dashboard graphs are not displayed!

Thanks a lot for reporting this issue and thanks, again, to baldy for supporting us by providing a fix for this problem!

Thanks again!

Lo

- Issue History
Date Modified Username Field Change
2011-05-25 12:41 logdog New Issue
2011-05-25 12:41 logdog File Added: endian.jpg
2011-05-28 14:45 baldy Note Added: 0006525
2011-05-28 14:46 baldy File Added: Dashboard IE9.png
2011-05-29 12:04 baldy Note Added: 0006528
2011-05-29 16:59 baldy Note Edited: 0006528
2011-05-29 17:00 baldy Note Deleted: 0006528
2011-05-29 17:01 baldy Note Edited: 0006525
2011-05-29 17:09 baldy Note Edited: 0006525
2011-05-29 17:12 baldy Note Edited: 0006525
2011-05-29 17:16 baldy File Added: jquery.flot.js
2011-05-29 17:17 baldy Note Edited: 0006525
2011-05-29 19:28 logdog Note Added: 0006530
2011-06-01 16:08 lorenzo-endian Note Added: 0006552
2011-06-01 16:08 lorenzo-endian Assigned To => peter-endian
2011-06-01 16:08 lorenzo-endian Status new => confirmed
2011-07-21 05:23 lorenzo-endian Relationship added has duplicate 0004010
2011-07-28 13:05 christian-endian Status confirmed => new
2011-07-28 13:05 christian-endian Assigned To peter-endian => max-endian
2011-07-28 13:06 christian-endian Status new => assigned
2011-07-28 14:06 max-endian Status assigned => resolved
2011-07-28 14:06 max-endian Resolution open => fixed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker